Subject: Re: [PATCH] powerpc: Reserve syscall number 319

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 03 Sep 2008 07:49:10 +1000

On Tue, 2008-09-02 at 16:30 -0500, Olof Johansson wrote:
> On Wed, Sep 03, 2008 at 07:06:15AM +1000, Benjamin Herrenschmidt wrote:
> > On Tue, 2008-09-02 at 13:06 -0500, Olof Johansson wrote:
> > > On Tue, Sep 02, 2008 at 03:48:45PM +1000, Benjamin Herrenschmidt wrote:
> > > > Some stuff I'm working on that isn't released yet needs
> > > > a syscall number but I can't say what it's for until I
> > > > get permission to release it :-)
> > > > 
> > > > In the meantime, it would be nice if a number could be set
> > > > aside so the tools being developped to use that stuff don't
> > > > all need to be updated when things are eventually released.
> > > > 
> > > > Signed-off-by: Benjamin Herrenschmidt <[email-masked]>
> > > > ---
> > > > 
> > > > I wonder if I'll get hanged for that one :-)
> > > 
> > > Yes. Merge your code or live with the pain of things changing
> > > underneath. Period.
> > 
> > Pain isn't for me :-) It's for those writing userspace stuff based on
> > my kernel changing all the time :-)
> 
> Lame excuse. Merge the code.

man, you know as well as I do I can't do that before the lawyers let
me :-)

Ben.